Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.intro
Interface IIntroManager

public interface IIntroManager

Manages the intro part that introduces the product to new users. The intro part is typically shown the first time a product is started up.

The initial behavior of the intro part is controlled by the application from via the `WorkbenchAdvisor.openIntro(IWorkbenchWindowConfigurer)` method.

See `IIntroPart` for details on where intro parts come from.

This interface is not intended to be extended or implemented by clients.

Since:
  3.0
See Also:
  `IWorkbench.getIntroManager()`

Method Summary
`boolean` | `closeIntro(IIntroPart part)` Closes the given intro part.
`IIntroPart` | `getIntro()` Returns the intro part.
`boolean` | `hasIntro()` Return whether an intro is available.
`boolean` | `isIntroStandby(IIntroPart part)` Return the standby state of the given intro part.
`void` | `setIntroStandby(IIntroPart part, boolean standby)` Sets the standby state of the given intro part.
`IIntroPart` | `showIntro(IWorkbenchWindow preferredWindow, boolean standby)` Shows the intro part in the given workbench window.

Method Detail

### closeIntro

    public boolean closeIntro(IIntroPart part)

  Closes the given intro part.

  Parameters:
    `part` - the intro part
  Returns:
    `true` if the intro part was closed, and `false` otherwise. `false` is returned if part is `null` or it is not the intro part returned by `getIntro()`.

### getIntro

    public IIntroPart getIntro()

  Returns the intro part. Returns `null` if there is no intro part, if it has been previously closed via `closeIntro(IIntroPart)` or if there is an intro part but `showIntro(IWorkbenchWindow, boolean)` has not yet been called to create it.

  Returns:
    the intro part, or `null` if none is available

### hasIntro

    public boolean hasIntro()

  Return whether an intro is available. Note that this checks whether there is an applicable intro part that could be instantiated and shown to the user. Use `getIntro()` to discover whether an intro part has already been created.

  Returns:
    `true` if there is an intro that could be shown, and `false` if there is no intro

### isIntroStandby

    public boolean isIntroStandby(IIntroPart part)

  Return the standby state of the given intro part.

  Parameters:
    `part` - the intro part
  Returns:
    `true` if the part in its partially visible standy mode, and `false` if in its fully visible state. `false` is returned if part is `null` or it is not the intro part returned by `getIntro()`.

### setIntroStandby

    public void setIntroStandby(IIntroPart part,
                                boolean standby)

  Sets the standby state of the given intro part. Intro part usually should render themselves differently in the full and standby modes. In standby mode, the part should be partially visible to the user but otherwise allow them to work. In full mode, the part should be fully visible and be the center of the user's attention.

  This method does nothing if the part is `null` or is not the intro part returned by `getIntro()`.

  Parameters:
    `part` - the intro part, or `null`
    `standby` - `true` to put the part in its partially visible standy mode, and `false` to make it fully visible.

### showIntro

    public IIntroPart showIntro(IWorkbenchWindow preferredWindow,
                                boolean standby)

  Shows the intro part in the given workbench window. If the intro part has not been created yet, one will be created. If the intro part is currently being shown in some workbench window, that other window is made active.

  Parameters:
    `preferredWindow` - the preferred workbench window, or `null` to indicate the currently active workbench window
    `standby` - `true` to put the intro part in its partially visible standy mode, and `false` to make it fully visible
  Returns:
    the newly-created or existing intro part, or `null` if no intro part is available or if `preferredWindow` is `null` and there is no currently active workbench window

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.